Subject: Re: FVWM: WindowList questions & problems.

From: Mikhael Goikhman <[email-masked]>
Date: Sat, 1 May 2004 20:16:16 +0000

On 27 Apr 2004 19:53:32 +0200, ddtl wrote:
> 
> I have a number of questions concerning WindowList command:
> 
> 1) Is there is a way to define more than one key in SelectOnRelease
> (for example, I want to define both Meta_L and Meta_R with that
> option (or, better still, Control_L & Control_R, though it seems that
> it is impossible to use Ctrl for WindowList - combination of
> Ctrl+Tab doesn't move the hilight)).

SelectOnRelease accepts only one key parameter, at least accourding to
the man page.

I thought that configuring the right Alt to generate the same keysym
(i.e. Alt_L and Meta_L on my system using this command:

  % xmodmap -e 'keycode 113 = 0xffe9 0xffe7'

) should make the right Alt select on release for Alt-Tab. But it seems
that only the first matching key (the left Tab) is used.

So, I think, the answer is "no".

> 2) Is it possible to remove desk info and separator from the
> WindowList (i.e. the title: "Desk: 0" in my case, for example)

Accourding to the man page, NoCurrentDeskTitle option does this.

> 3) What the UseListSkip/OnlyUseListSkip option used for?

There is no "OnlyUseListSkip", but "OnlyListSkip".

This affects the windows that are configured like:

  Style FvwmPager WindowListSkip

>From the man page:

  OnlyListSkip option [...] causes WindowList to only consider the
  windows with WindowListSkip style.

Correspondingly, UseListSkip (that is the default) skips such windows
from the list. So, the pager from our example is not listed by default.

> 4) Is it somehow possible to display icons (i.e., small pixmaps)
> in the WindowList the way it is possible in a regular menu?

Yes, if you configure MiniIcon style option for some (all) windows, then
these mini icons are used automatically:

  Style XTerm MiniIcon xterm.xpm

> 5) Is it possible to prevent mouse movement from interfering with
> hilighting/selection? For example: I use keyboard shortcut to
> bring up WindowList and hilight item 4 by moving hilight from item 0
> to item 4 using arrow keys - if after that i move a pointer (by means
> of mouse) so that it points at other item - the hilight changes to the
> item now pointed at.
> 
> I want to be able to do one of the following (or, better still, either
> of the following :) )
> 
> 	a) disable mouse movement at all, so that while WindowList is
> 	active it is impossible to move mouse pointer by moving a mouse.
> 
> 	b) decouple WindowList and mouse pointer, so that bringing up
> 	WindowList and moving hilight by keyboard won't move a pointer,
> 	and moving a pointer (even over WindowList) won't change hilight
> 	(and clicking on item won't select it).
> 
> Is that possible?

I don't think this is currently possible. Just lock your mouse
physically. :)

Regards,
Mikhael.
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].